Bug 951225 - gnome-session doesn't start on ppc64 due to missing support for swrastc
gnome-session doesn't start on ppc64 due to missing support for swrastc
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
19
ppc64 Linux
high Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
AcceptedFreezeException
:
Depends On:
Blocks: F19Alpha-accepted/F19AlphaFreezeException F19PPCAlpha/F19PPCAlphaBlocker/PPCAlphaBlocker
  Show dependency treegraph
 
Reported: 2013-04-11 13:21 EDT by Phil Knirsch
Modified: 2015-03-04 20:21 EST (History)
4 users (show)

See Also:
Fixed In Version: gnome-session-3.8.0-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-19 01:48:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Knirsch 2013-04-11 13:21:57 EDT
Description of problem:

When trying to start a gnome session for Fedora 19 Alpha TC6.2 on Power 64bit i get the sad face saying it won't work.

The error message on the console is this:

gnome-session-is-accelerated: No hardware 3D support.
gnome-session-check-accelerated: Helper exited with code 256
gnome-session-is-accelerated: No hardware 3D support.
gnome-session-check-accelerated: Helper exited with code 256

** (process:6427): WARNING **: software acceleration check failed: Child process exited with code 1

** (gnome-session-quit:6455): WARNING **: Failed to call logout: The name org.gnome.SessionManager was not provided by any .service files

which hints to the swrastc rasterizer we had to be not detected and used properly.


Version-Release number of selected component (if applicable):

gnome-session-3.8.0-1.fc19.ppc64

How reproducible:

Always

Steps to Reproduce:
1. Install http://ppc.koji.fedoraproject.org/stage/f19-20130410-TC6.2/ppc64/os/ on a Power7
2. Install tigervnc-server
3. Run vncserver
4. Connect via vncviewer and watch the sad face :(
  
Actual results:

Getting a sad face displayed. :(

Expected results:

Gnome3 working with the swrastc rasterizer. :)

Additional info:

Adam Jackson already identified the issue and i've tested a test package he built as an update candidate for F19 and that works like a charm for me now. :)
Comment 1 David Aquilina 2013-04-11 13:28:38 EDT
(per pknirsch), fixed by gnome-session-3.8.0-2.fc19
Comment 2 Adam Williamson 2013-04-15 13:23:13 EDT
Discussed at 2013-04-15 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-04-15/f19alpha-blocker-review-7.2013-04-15-16.00.log.txt . This was accepted as a freeze exception bug on the basis that release engineering / secondary arch team are keen to have secondary arch (pre-)release images built from the exact same package tree as primary, and to accomplish that, we need to pull secondary arch 'blocker' fixes into the primary tree. But several QA folks are reluctant to embrace this as a general principle, and for now, this acceptance is specific to this particular bug and does not form a precedent. We plan to discuss the general question separately.
Comment 3 Adam Williamson 2013-04-15 14:08:02 EDT
Can someone please submit the build that fixes this as an update in Bodhi? Thanks.
Comment 4 Fedora Update System 2013-04-17 11:14:45 EDT
gnome-session-3.8.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gnome-session-3.8.0-2.fc19
Comment 5 Fedora Update System 2013-04-19 01:48:10 EDT
gnome-session-3.8.0-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.